/*
 *  Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 * 
 *  Licensed under the Eclipse Public License - v 1.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *           http://www.eclipse.org/legal/epl-v10.html
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.netbeans.modules.welcome.content;

import java.awt.Color;
import java.awt.event.ActionEvent;
import javax.swing.Action;

/**
 * Link to activate netbeans action
 * @author Merijn Zengers <Merijn.Zengers@gmail.nl>
 */
public class ActionLink extends LinkButton{

    private Action action;
    
    public ActionLink(String label, Action action, Color foreground, boolean showBorder ){
        super( label, showBorder, action.toString());
        this.action = action;
    }
    
    @Override
    public void actionPerformed(ActionEvent ae) {
        action.actionPerformed(ae);
    }
    
}
