/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package org.netbeans.modules.welcome.ui;

import java.util.List;
import javax.swing.Action;
import javax.swing.JPanel;
import net.miginfocom.swing.MigLayout;
import org.netbeans.modules.welcome.content.ActionLink;
import org.netbeans.modules.welcome.content.Constants;
import org.netbeans.modules.welcome.content.WebLink;
import org.openide.loaders.DataObject;
import org.openide.util.NbBundle;

/**
 * Content section for links
 *
 * @author Merijn Zengers
 */
@NbBundle.Messages({"LBL Links online userguide=Userguide",
    "URL Links online userguide=http://help.agrosense.nl",
    "LBL Links online website=Our website",
    "URL Links online website=http://agrosense.nl"})
public final class Links extends JPanel {

    private ActionBuilder builder = new ActionBuilder();
    private static final String ROOT_STRING = "LinkPage";
    
    public Links() {
        super(new MigLayout("wrap"));
        setOpaque(false);
        buildContent();
    }

    private void buildContent() {
        List<DataObject> dataObjects = builder.getDataObjects(ROOT_STRING);
        for (DataObject dataObject : dataObjects) {
            Action action = builder.extractAction(dataObject);
        
            ActionLink link = new ActionLink(action.getValue(Action.NAME).toString(), action, Constants.COLOR_SECTION_HEADER, false); //NOI18N
            add(link);
        }
        WebLink website = new WebLink(Bundle.LBL_Links_online_website(), Bundle.URL_Links_online_website(), Constants.COLOR_SECTION_HEADER, false); //NOI18N
        add(website);
    }
}
